Update a Custom Link campaign
curl --request PATCH \
--url https://api-us.hihobbes.com/api/v1/custom-link-campaigns/{campaign_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api-us.hihobbes.com/api/v1/custom-link-campaigns/{campaign_id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api-us.hihobbes.com/api/v1/custom-link-campaigns/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"customLinkCount": 0,
"activeCustomLinkCount": 0
}{
"detail": "API key required or invalid."
}{
"detail": "API key does not include the required scope."
}{
"detail": "Custom Link campaign not found in the key's organization."
}{
"detail": "The operation conflicts with current state or idempotency history."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit or organization quota exceeded."
}Custom Links
Update a Custom Link campaign
Rename a Custom Link campaign.
PATCH
/
api
/
v1
/
custom-link-campaigns
/
{campaign_id}
Update a Custom Link campaign
curl --request PATCH \
--url https://api-us.hihobbes.com/api/v1/custom-link-campaigns/{campaign_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api-us.hihobbes.com/api/v1/custom-link-campaigns/{campaign_id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api-us.hihobbes.com/api/v1/custom-link-campaigns/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"customLinkCount": 0,
"activeCustomLinkCount": 0
}{
"detail": "API key required or invalid."
}{
"detail": "API key does not include the required scope."
}{
"detail": "Custom Link campaign not found in the key's organization."
}{
"detail": "The operation conflicts with current state or idempotency history."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit or organization quota exceeded."
}Requires
custom_links:write.
Renaming the campaign does not change its id or the links filed in it.Authorizations
bearerapiKeyHeader
Hobbes API key with the hb_live_ prefix.
Path Parameters
Custom Link campaign UUID.
Body
application/json
Required string length:
1 - 255